import { createService } from '@/utils/createRequest'
const request = createService(process.env.VUE_APP_9520_API)

export function _getPageResult(data) {
    return request({
      url: '/TrackDeploy/GetFirstTrackMatchRulesPage',
      method: 'post',
      data
    })
  }

  export function deleteRule(Id) {
    return request({
      url: '/TrackDeploy/DeleteRule',
      method: 'post',
      params:{Id}
    })
  }
  export function AddRule(data) {
    return request({
      url: '/TrackDeploy/AddFirstTrackMatchRule',
      method: 'post',
      data
    })
  }
  export function UpdateRule(data) {
    return request({
      url: '/TrackDeploy/UpdateFirstTrackMatchRule',
      method: 'post',
      data
    })
  }

  export function GetNodeTime(data) {
    return request({
      url: '/TrackDeploy/GetNodeTime',
      method: 'post',
      data
    })
  }
